com.mapinfo.midev.geometry

## Class MValue

- java.lang.Object
- - com.mapinfo.midev.geometry.MValue

All Implemented Interfaces:
  Serializable

    public final class MValue
    extends Object
    implements Serializable

An `MValue` is an attribute associated with a direct position. The only type currently supported is `double`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MValue(double d)` Create a MValue with the specified double value.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`double` `getDouble()` Return the value of this MValue as a double.
`DataType` `getType()` Get the type of data represented by this MValue.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MValue

    public MValue(double d)

Create a MValue with the specified double value.

Parameters:
  `d` - The value to store.

### Method Detail

#### getDouble

    public double getDouble()
                     throws UnsupportedOperationException

Return the value of this MValue as a double.

Returns:
  the double value.
Throws:
  `UnsupportedOperationException`

#### getType

    public DataType getType()

Get the type of data represented by this MValue.

Currently only DataType.DOUBLE is supported.

Returns:
  type of data represented by this MValue

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`